MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029960Open CASCADE[OCCT] OCCT:Foundation Classespublic2018-07-14 19:132018-07-21 20:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029960: Foundation Classes - disarm OSD_ThreadPool copy constructor
DescriptionOSD_ThreadPool should be managed by Handle, copy constructor should be disabled to protect from possible misuse.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0029935verifiedbugmaster Foundation Classes - introduce OSD_ThreadPool class defining a thread pool 

-  Notes
(0077632)
git (administrator)
2018-07-14 19:18

Branch CR29960 has been created by kgv.

SHA-1: d43652da8d4aac31cd3b2d660510f54daad2b182


Detailed log of new commits:

Author: kgv
Date: Sat Jul 14 19:17:26 2018 +0300

    0029960: Foundation Classes - disarm OSD_ThreadPool copy constructor
    
    Private copy constructors have been added to OSD_ThreadPool
    and Standard_Condition to protect misuse.
(0077633)
git (administrator)
2018-07-14 19:28

Branch CR29960 has been updated forcibly by kgv.

SHA-1: c6ae43609f6abf573e07d6bae84dd0d0813ccac9
(0077634)
git (administrator)
2018-07-14 19:49

Branch CR29960 has been updated forcibly by kgv.

SHA-1: 1f674a9a375ca2776b074f397edddf2192e84245
(0077635)
git (administrator)
2018-07-14 19:56

Branch CR29960 has been updated forcibly by kgv.

SHA-1: 8624742d59089c5ea5f64c0ba3e40d61a5e58d0d
(0077636)
git (administrator)
2018-07-14 20:37

Branch CR29960 has been updated forcibly by kgv.

SHA-1: 88a053dabab5e0e382faf22b77feaf6156f7918b
(0077637)
kgv (developer)
2018-07-14 21:48

Please take the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29960-master-KGV/ [^]
(0077664)
bugmaster (administrator)
2018-07-16 13:58

Combination -
OCCT branch : CR29960 SHA - 88a053dabab5e0e382faf22b77feaf6156f7918b
Products branch : master SHA - edc03a9d94e87d0141f8dbfdc1c42f755e9765d9
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings
(0077888)
git (administrator)
2018-07-21 20:02

Branch CR29960 has been deleted by inv.

SHA-1: 88a053dabab5e0e382faf22b77feaf6156f7918b

- Related Changesets
occt: master ca0962a1
Timestamp: 2018-07-14 16:17:26
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029960: Foundation Classes - disarm OSD_ThreadPool copy constructor

Private copy constructors have been added to OSD_ThreadPool
and Standard_Condition to protect misuse.
mod - src/OSD/OSD_ThreadPool.hxx Diff ] File ]
mod - src/Standard/Standard_Condition.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-14 19:13 kgv New Issue
2018-07-14 19:13 kgv Assigned To => abv
2018-07-14 19:18 git Note Added: 0077632
2018-07-14 19:19 kgv Relationship added child of 0029935
2018-07-14 19:28 git Note Added: 0077633
2018-07-14 19:49 git Note Added: 0077634
2018-07-14 19:56 git Note Added: 0077635
2018-07-14 20:37 git Note Added: 0077636
2018-07-14 21:48 kgv Note Added: 0077637
2018-07-14 21:48 kgv Assigned To abv => bugmaster
2018-07-14 21:48 kgv Severity minor => trivial
2018-07-14 21:48 kgv Status new => resolved
2018-07-14 21:48 kgv Status resolved => reviewed
2018-07-16 13:56 bugmaster Test case number => Not needed
2018-07-16 13:58 bugmaster Note Added: 0077664
2018-07-16 13:58 bugmaster Status reviewed => tested
2018-07-21 18:39 bugmaster Changeset attached => occt master ca0962a1
2018-07-21 18:39 bugmaster Status tested => verified
2018-07-21 18:39 bugmaster Resolution open => fixed
2018-07-21 20:02 git Note Added: 0077888


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker